﻿(function ($) {
    $.extend({
        refresh: function () {
            window.location.href = window.location.href;
        },
        openLoading: function (message) {
            return layer.open({
                type: 2,
                shade: [0.5, '#000000'],
                shadeClose: false,
                content: message == undefined ? '加载中' : message
            });
        },
        closeLoading: function (index) {
            try {
                if (index != undefined)
                    layer.close(index);
                else
                    layer.closeAll();
            } catch (e) {
                console.log(e.message);
            }
        },
        alert: function (message, callback, title) {
            layer.open({
                title: title == undefined ? '温馨提示' : title,
                content: message,
                shadeClose: false,
                btn: ['确定'],
                end: function () {
                    if (typeof callback == "function")
                        callback();
                }
            });
        },
        confirm: function (message, okFn, cancelFn, title) {
            layer.open({
                title: title == undefined ? '温馨提示' : title,
                content: message,
                closeBtn: false,
                shadeClose: false,
                btn: ['确定', '取消'],
                yes: function (index) {
                    layer.close(index),
                    "function" == typeof okFn ? okFn() : ""
                },
                no: function () {
                    "function" == typeof cancelFn ? cancelFn() : ""
                }
            });
        },
        tipMsg: function (message, time, style) {
            layer.open({
                content: message,
                skin: 'msg',
                //style: style || 'background-color:#000; color:#fff; border:none;filter:alpha(opacity=80);-moz-opacity:0.8;-khtml-opacity: 0.8;opacity: 0.8;',
                time: time || 2
            });
        },
        showShade: function (shadeClose) {
            layer.open({
                type: 1,
                title: false,
                closeBtn: 0,
                shadeClose: shadeClose == undefined ? false : shadeClose,
                zIndex: 19891010,
                content: ''
            });
        },
        getQueryString: function (name) {
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
            var r = window.location.search.substr(1).match(reg);
            if (r != null) return r[2]; return null;
        },
        redirectToPage: function (url, target) {
            if (url) {
                if (target) {
                    window.open(url, target);
                }
                else {
                    window.location.href = url;
                }
            }
        },
        newGuid: function () {
            var get4Char = function () {

                return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);

            };

            return (get4Char() + get4Char() + "-" + get4Char() + "-" + get4Char() + "-" + get4Char() + "-" + get4Char() + get4Char() + get4Char());
        },
        isGuid: function (strGuid) {
            var reg = /^[a-fA-F0-9]{8}(-[a-fA-F0-9]{4}){3}-[a-fA-F0-9]{12}$/;
            return reg.test(strGuid);
        }
    });

})(jQuery);